﻿using System.Linq;
using System.Web.Http;
using Breeze.WebApi;
using CacheNotWorkingForum3739.Models;

namespace CacheNotWorkingForum3739.Controllers
{
    [JsonFormatter, ODataActionFilter]
    public class BreezeTestController : ApiController
    {
        readonly EFContextProvider<BreezeTestDbContext> _contextProvider = new EFContextProvider<BreezeTestDbContext>();

        [AcceptVerbs("GET"), ActionName("Metadata")]
        public string Metadata()
        {
            return _contextProvider.Metadata();
        }

        [AcceptVerbs("GET"), ActionName("Items")]
        public IQueryable<Item> Items()
        {
            return _contextProvider.Context.Items;
        }
    }

}