﻿using System.Collections.Generic;
using System.Data.Entity;

namespace CacheNotWorkingForum3739.Models
{
    public class BreezeTestDatabaseInitializer :
       DropCreateDatabaseAlways<BreezeTestDbContext>
    {
        protected override void Seed(BreezeTestDbContext context)
        {
            var items = new List<Item>
                {
                    new Item {Id=1, Name="First", Description = "The first item"},
                    new Item {Id=2, Name="Second", Description = "The second item"},
                    new Item {Id=3, Name="Third", Description = "The third item"},
                    new Item {Id=4, Name="Fourth", Description = "The fourth item"},

               };

            items.ForEach(i => context.Items.Add(i));
            context.SaveChanges(); 
        }
    }
}